import * as i0 from "@angular/core";
/**
 * Configuration options for NgPdfRenderer
 */
export interface NgPdfRendererConfig {
    /**
     * Custom worker URL (optional, automatically detected if not provided)
     */
    workerSrc?: string;
}
/**
 * Service for global configuration of NgPdfRenderer
 * Allows application-wide settings to be applied
 */
export declare class NgPdfRendererConfigService {
    private _config;
    /**
     * Get the current configuration
     */
    get config(): NgPdfRendererConfig;
    /**
     * Set the configuration for NgPdfRenderer
     * @param config Configuration options
     */
    setConfig(config: NgPdfRendererConfig): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgPdfRendererConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgPdfRendererConfigService>;
}
